# Portes II

**Membres del grup**: David Ortiz Mateu i Gonzalo Espés Martínez

## Objectiu
Creació d'una placa PCB capaç de complir amb les especificacions demanades. 

## Requisits / Especificacions
- Motor de l’alçavidres amb el seu final de carrera.
- Mecanisme anti-atrapament de la finestra (sensor de corrent).
- Mecanisme de tancament/apertura de la porta.
- Lector RFID per a apertura sense clau (connectat amb un bus digital).

## Diagrama de blocs

![image](https://github.com/mdaavid4/projecte_portes/blob/main/diagrama%20de%20bloques%20final.PNG?raw=true)
## Components
| Ref. | Descripció| Datasheet |
| ------ | -----------------| ------------------|
| PIC18F258| Microntrolador | [datasheet](https://4donline.ihs.com/images/VipMasterIC/IC/MCHP/MCHPS03028/MCHPS03028-1.pdf?hkey=EF798316E3902B6ED9A73243A3159BB0)|
| TJA1043T | Transceiver | [datasheet](https://4donline.ihs.com/images/VipMasterIC/IC/PHGL/PHGLS28246/PHGLS28246-1.pdf?hkey=EF798316E3902B6ED9A73243A3159BB0)|
| LM317LD13TR | Regulador de tensió 3.3V| [datasheet](https://www.st.com/content/ccc/resource/technical/document/datasheet/ee/4d/b2/bd/25/fe/44/2c/CD00000469.pdf/files/CD00000469.pdf/jcr:content/translations/en.CD00000469.pdf)|
| LM7805CT | Regulador de tensió 5V| [datasheet](https://4donline.ihs.com/images/VipMasterIC/IC/FAIR/FAIR-S-A0000088116/FAIR-S-A0000088116-1.pdf?hkey=EF798316E3902B6ED9A73243A3159BB0)|
| L298N | Driver | [datasheet](https://www.st.com/content/ccc/resource/technical/document/datasheet/82/cc/3f/39/0a/29/4d/f0/CD00000240.pdf/files/CD00000240.pdf/jcr:content/translations/en.CD00000240.pdf)|
| LM308N | Amplificador | [datasheet](https://www.alldatasheet.es/datasheet-pdf/pdf/70236/LINER/LM308N8.html)|
| LM358DT | Comparador | [datasheet](https://www.st.com/content/ccc/resource/technical/document/datasheet/61/46/87/01/98/ed/44/c5/CD00000464.pdf/files/CD00000464.pdf/jcr:content/translations/en.CD00000464.pdf)|
| TXS0108EPWR |  Level Shifter | [datasheet](https://www.ti.com/lit/ds/symlink/txs0108e.pdf?ts=1677778008883&ref_url=https%253A%252F%252Fwww.ti.com%252Fproduct%252FTXS0108E)|
| HC49S | Crystal | [datasheet](https://www.farnell.com/datasheets/2877048.pdf)|
| L16-100-35-12-S | Motor DC | [datasheet](https://www.actuonix.com/assets/images/datasheets/ActuonixL16Datasheet.pdf)|
| 22V28-213E.201 | Motor BLDC | [datasheet](https://media.digikey.com/pdf/Data%20Sheets/Portescap%20Danaher%20PDFs/22V28_48_p76.pdf)|



## Historial de canvis
| Data               | Autor     | Descripció                                                                                 |
| -------------------- | ------------ | ------------------------------------------------------------------------------------------ |
|  21/03/2023 | David i Gonzalo | Primera versió diagrama de blocs, selecció components. PowerPoint per a la seva presentació a classe. |
|  28/03/2023 | David i Gonzalo | Correcció del diagrama de blocs. Primera versió del esquemàtic  i millora de la tria de components.
|  8/04/2023 | David i Gonzalo | Correcció del diagrama de blocs. Segona versió del esquemàtic  i primera versió del Layout. Aplicades correcions dels comentaris de la versió 1 i conceptes parlats a tutoria.
| 14/04/2023 | David i Gonzalo | Actualització de l'esquemàtic. Reducció de botons, implementació de connectors al lloc dels botons. Corregim comentaris del professorat a la classe del 12/04 |
| 18/04/2023 | David i Gonzalo | Resolem dubtes a tutoria i corregim l'esquemàtic. Implementem GND i GNDPOWER. Refem Layout sencer seguint les instruccions de la sessió teòrica del 17/04. Definim netclasses i regles de disseny del fabricant. |
| 20/04/2023 | David | Iniciem estudi de pressupost. Realitzat pressupost en Excel i BoM. Modifiquem components degut a la seva disponibilitat i preu.
| 20/04/2023 | Gonzalo | Millora de la darrera versió del Layout seguint els comentaris de classe.
| 23/04/2023 | David i Gonzalo | Continuació de l'estudi per a diferents volums de producció i preparació de l'entrega final.
| 25/04/2023 | David | Correcions dels comentaris de l'esquemàtic. Implementació d'un botó de reset físic implementat a la PCB.
| 26/04/2023 | Gonzalo | Correcions dels comentaris del layaout. Redistribució d'alguns components degut als petits canvis a l'esquemàtic.
